{% extends '_base.html' %}
{% load static %}
{% block title %} {{ employee.first_name }} {{ user.last_name }}'s Profile {% endblock title %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{employee.first_name}} {{employee.last_name}}
        </p>
        <p class="subtitle">
            Profile
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-2">
    <div class="card">
        <div class="section">
            <div class="columns is-multiline is-centered">
                <div class="column is-12">
                    {% if request.user.is_superuser  %}
                    <a href="{% url 'edit_employee' empid=employee.emp_id %}"> <button class="button is-warning">Edit</button></a>
                    {% else %}
                    <a href="{% url 'edit_profile' %}"> <button class="button is-warning">Edit</button></a>
                    {% endif %}
                    <a href="{% url 'new_bank_account' empid=employee.emp_id %}"> <button class="button is-success">Add Bank Account</button></a>
                </div>
            </div>

            <div class="columns is-multiline">
                <div class="column is-4 is-offset-5 mb-5">
                    <figure class="image is-128x128">
                        <img src="{{employee.display_picture.url}}">
                    </figure>
                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Contact</h2>
                    <hr>

                    <table class="table">
                        <tr>
                            <th>Designation :</th>
                            <td>{% if employee.designation == None %} - {% else %} {{ employee.designation }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Email :</th>
                            <td>{{ employee.email }} |
                                {% if employee.email == request.user.email %}
                                <a href={% url 'account_email'%}>Change</a>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <th>Mobile :</th>
                            <td>{% if employee.phone == None %} - {% else %} {{ employee.phone }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Communication Address :</th>
                            <td>{% if employee.designation == comm_addr %} - {% else %} {{ employee.comm_addr }} {% endif %}</td>
                        </tr>
                    </table>
                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Work</h2>
                    <hr>
                    <table class="table">
                        <tr>
                            <th>Employee ID :</th>
                            <td>{{ employee.emp_id }}</td>
                        </tr>
                        <tr>
                            <th>Date of Joining :</th>
                            <td>{% if employee.designation == doj %} - {% else %} {{ employee.doj }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Number of leaves available :</th>
                            <td>{{employee.casual_leaves|floatformat}}</td>
                        </tr>

                    </table>

                </div>

                <div class="column is-6">
                    <h2 class="is-size-4 ">Personal</h2>
                    <hr>

                    <table class="table">
                        <tr>
                            <th>Date of birth :</th>
                            <td>{% if employee.dob == None %} - {% else %} {{ employee.dob }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Gender :</th>
                            <td>{% if employee.gender == None %} - {% else %} {{ employee.gender }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Country :</th>
                            <td>{% if country == None %} - {% else %} {{ country }} {% endif %}</td>
                        </tr>

                        <tr>
                            <th>Permanent address:</th>
                            <td>{% if employee.perm_addr == None %} - {% else %} {{ employee.perm_addr }} {% endif %}</td>
                        </tr>
                    </table>
                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Departments</h2>
                    <hr>
                    {% if employee.department.all == None  %}<p> No departments linked for this employee. </p> {% endif %}
                    {% for dep in employee.department.all %}
                    <a href="{% url 'department_view' id=dep.id %}"> {{dep.name}}</a><br>
                    {% endfor %}

                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Projects</h2>
                    <hr>
                    {% if employee.project_members.all == None  %}<p> No projects linked for this employee. </p> {% endif %}
                    {% for p in employee.project_members.all %}
                    <a href="{% url 'project_view' id=p.id %}"> {{p.name}}</a><br>
                    {% endfor %}

                </div>

                <div class=" column is-6">
                    <h2 class="is-size-4 ">Missions</h2>
                    <hr>
                    {% for p in employee.mission_set.all %}
                    <a href="{% url 'bank_account_view' empid=employee.emp_id bank_id=p.id %}"> {{p.acc_name}} | {{p.bank_name}}</a><br>
                    {% endfor %}
                </div>
                {% if employee.get_bank_details %}
                <div class=" column is-6">
                    <h2 class="is-size-4 ">Bank Accounts</h2>
                    <hr>
                    {% for p in employee.bank_accounts.all %}
                    <a href="{% url 'bank_account_view' empid=employee.emp_id bank_id=p.id %}"> {{p.acc_name}} | {{p.bank_name}}</a><br>
                    {% endfor %}

                </div>
                {% endif %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Mailing Lists</h2>
                    <hr>
                    {% for p in employee.mailinglist_set.all %}
                    <a href="{% url 'mailing_list_view' ml_id=p.id %}"> {{p.name}} - {{p.email}}</a><br>
                    {% endfor %}

                </div>

                <div class="column is-6">
                    <h2 class="is-size-4 ">Emergency Contact</h2>
                    <hr>

                    <table class="table">
                        <tr>
                            <th>Name :</th>
                            <td>{% if employee.emergency_contact_name == None %} - {% else %} {{ employee.emergency_contact_name }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{% if employee.emergency_contact_relationship == None %} - {% else %} {{ employee.emergency_contact_relationship }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Mobile No. :</th>
                            <td>{% if employee.emergency_contact_mobile == None %} - {% else %} {{ employee.emergency_contact_mobile }} {% endif %}</td>
                        </tr>
                    </table>
                </div>
                {% if employee.get_dependent_for_insurance %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Dependent Details</h2>
                    <hr>

                    <table class="table">
                        {% if employee.spouse_name %}
                        <tr>
                            <th>Spouse Name :</th>
                            <td>{{ employee.spouse_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{{ employee.spouse_relation }}</td>
                        </tr>
                        <tr>
                            <th>Date of Birth :</th>
                            <td>{{employee.spouse_dob}}</td>
                        </tr>

                        {% if employee.spouse_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ employee.spouse_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% endif %}
                    </table>
                    <table class="table">
                        {% if employee.child1_name %}
                        <tr>
                            <th>Child1 Name :</th>
                            <td>{{ employee.child1_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{{ employee.child1_relation }}</td>
                        </tr>
                        <tr>
                            <th>Date of Birth :</th>
                            <td>{{employee.child1_dob}}</td>
                        </tr>

                        {% if employee.child1_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ employee.child1_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% endif %}
                    </table>
                    <table class="table">
                        {% if employee.child2_name %}
                        <tr>
                            <th>Child2 Name :</th>
                            <td>{{ employee.child2_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{{ employee.child2_relation }}</td>
                        </tr>
                        <tr>
                            <th>Date of Birth :</th>
                            <td>{{employee.child2_dob}}</td>
                        </tr>

                        {% if employee.child2_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ employee.child2_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% endif %}
                    </table>
                </div>
                {% endif %}
                {% if employee.get_educational_details %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Highest Education Details</h2>
                    <hr>
                    <table class="table">
                        <tbody>
                            <tr>
                                <th>Institute/University Name</th>
                                <td>{{ employee.institute_name }}</td>
                            </tr>
                            <tr>
                                <th>Degree/Course Name</th>
                                <td>{{ employee.degree_name }}</td>
                            </tr>
                            <tr>
                                <th>Year of Passing</th>
                                <td>{{ employee.year_of_passing }}</td>
                            </tr>
                            <tr>
                                <th>Total Mark Percentage</th>
                                <td>{{ employee.mark_percent }}</td>
                            </tr>
                            {% if employee.degree_certificate %}
                            <tr>
                                <th>Degree Certificate</th>
                                <td><a href="{{ employee.degree_certificate.url }}" target="_blank" rel="noopener">View in New Tab</a>
                                </td>
                            </tr>
                            {% endif %}
                        </tbody>
                    </table>
                </div>
                {% endif %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Contract History</h2>
                    <hr>
                    {% for ch in contract_history %}
                    <a href="{% url 'contracts_validate' con_id=ch.contract.id %}">{{ch.contract.contract_type}} | ({{ch.contract.from_date}} - {{ch.contract.to_date}})</a><br>
                    {% endfor %}

                </div>
            </div>
        </div>
    </div>
</div>

{% endblock content %}